searchNodes=[{"doc":"This is an Elixir library for interacting with the Persona platform. It handles streaming paginated lists of inquiries and accounts, and allows you to interact with the API with only a thin layer of Elixiry abstraction.","ref":"ExPersona.html","title":"ExPersona","type":"module"},{"doc":"Send a given ExPersona.Client.Operation to the API endpoint. This is the general entry point for all requests.","ref":"ExPersona.html#request/1","title":"ExPersona.request/1","type":"function"},{"doc":"Send a given ExPersona.Client.Operation to the API endpoint, raising if there's any error.","ref":"ExPersona.html#request!/1","title":"ExPersona.request!/1","type":"function"},{"doc":"Make a request, producing a Stream for paginating results. Send a given ExPersona.Client.Operation to the API endpoint with the expectation that the ExPersona.Client.Operation will produce a paginated result. Any errors will raise an exception.","ref":"ExPersona.html#stream!/1","title":"ExPersona.stream!/1","type":"function"},{"doc":"Module for dealing with accounts .","ref":"ExPersona.Account.html","title":"ExPersona.Account","type":"module"},{"doc":"Get a specific ExPersona.Account .","ref":"ExPersona.Account.html#get/1","title":"ExPersona.Account.get/1","type":"function"},{"doc":"Get a list of all accounts. If passed to ExPersona.request!/1 it will return only the first results from the list. You can create a Stream to paginate over all results by calling ExPersona.stream!/1 . For instance: # get 400 accounts ExPersona.Account . list ( ) |&gt; ExPersona . stream! ( ) |&gt; Stream . take ( 400 ) |&gt; Enum . to_list ( ) |&gt; IO . inspect ( )","ref":"ExPersona.Account.html#list/0","title":"ExPersona.Account.list/0","type":"function"},{"doc":"","ref":"ExPersona.Account.html#t:t/0","title":"ExPersona.Account.t/0","type":"type"},{"doc":"Make requests to the API. The requests are made using ExPersona.Client.Operation s.","ref":"ExPersona.Client.html","title":"ExPersona.Client","type":"module"},{"doc":"Make a GET request to the API at the given URL.","ref":"ExPersona.Client.html#get/3","title":"ExPersona.Client.get/3","type":"function"},{"doc":"Call the API with the given ExPersona.Client.Operation .","ref":"ExPersona.Client.html#request/1","title":"ExPersona.Client.request/1","type":"function"},{"doc":"Call the API with the given ExPersona.Client.Operation . This function throws an error if there was any issue calling the API.","ref":"ExPersona.Client.html#request!/1","title":"ExPersona.Client.request!/1","type":"function"},{"doc":"A description of a specific API call.","ref":"ExPersona.Client.Operation.html","title":"ExPersona.Client.Operation","type":"module"},{"doc":"","ref":"ExPersona.Client.Operation.html#t:operation_type/0","title":"ExPersona.Client.Operation.operation_type/0","type":"type"},{"doc":"","ref":"ExPersona.Client.Operation.html#t:t/0","title":"ExPersona.Client.Operation.t/0","type":"type"},{"doc":"This module contains functions used in parsing the results of API calls. In this context, &quot;parsing&quot; occurs after JSON responses have been decoded into a Map .","ref":"ExPersona.Client.Parser.html","title":"ExPersona.Client.Parser","type":"module"},{"doc":"Provide a default parser in case an ExPersona.Client.Operation doesn't specify one. This just returns the body of the response. This is useful for downloading files, for instance, where there's no transformation that should be done on the result.","ref":"ExPersona.Client.Parser.html#default_parse/1","title":"ExPersona.Client.Parser.default_parse/1","type":"function"},{"doc":"Turn a parser designed for a single record into one that can handle lists. This is used in cases where the expected result of an ExPersona.Client.Operation is one that can handle pagination, and we'd like to just specify a single parser. For instance, the ExPersona.Inquiry.list/0 function just creates this struct: % Operation { path : &quot;inquiries&quot; , parser : Parser . list_parser ( &amp; Inquiry . parse / 1 ) } where Inquiry.parse/1 describes how to handle creating one ExPersona.Inquiry from a ExPersona.Client.Result .","ref":"ExPersona.Client.Parser.html#list_parser/1","title":"ExPersona.Client.Parser.list_parser/1","type":"function"},{"doc":"A result from a parsed API call that is streamable (i.e., a pagninated list).","ref":"ExPersona.Client.Parser.html#t:parsed_list_result/0","title":"ExPersona.Client.Parser.parsed_list_result/0","type":"type"},{"doc":"Either a single or list result.","ref":"ExPersona.Client.Parser.html#t:parsed_result/0","title":"ExPersona.Client.Parser.parsed_result/0","type":"type"},{"doc":"A single result from a parsed API call.","ref":"ExPersona.Client.Parser.html#t:parsed_single_result/0","title":"ExPersona.Client.Parser.parsed_single_result/0","type":"type"},{"doc":"","ref":"ExPersona.Client.Parser.html#t:parser_func/0","title":"ExPersona.Client.Parser.parser_func/0","type":"type"},{"doc":"This module is used to represent the result of an API call. It is passed to the parser specified in a given ExPersona.Client.Operation and the result is what's returned from an ExPersona.Client.request/1 .","ref":"ExPersona.Client.Result.html","title":"ExPersona.Client.Result","type":"module"},{"doc":"Convert the raw results of an API call and turn them into a ExPersona.Client.Result .","ref":"ExPersona.Client.Result.html#from_encoded/3","title":"ExPersona.Client.Result.from_encoded/3","type":"function"},{"doc":"Convert the ExPersona.Client.Result of an API call and turn it into a ExPersona.Client.Streamable . This is used in cases where we expect the result to contain pagination.","ref":"ExPersona.Client.Result.html#to_streamable/1","title":"ExPersona.Client.Result.to_streamable/1","type":"function"},{"doc":"","ref":"ExPersona.Client.Result.html#t:t/0","title":"ExPersona.Client.Result.t/0","type":"type"},{"doc":"Handle streamable (i.e., paginated) responses from the API.","ref":"ExPersona.Client.Streamable.html","title":"ExPersona.Client.Streamable","type":"module"},{"doc":"Produce a Stream for a given ExPersona.Client.Operation . For instance: # get 400 accounts ExPersona.Account . list ( ) |&gt; ExPersona . stream! ( ) |&gt; Stream . take ( 400 ) |&gt; Enum . to_list ( ) |&gt; IO . inspect ( )","ref":"ExPersona.Client.Streamable.html#stream!/1","title":"ExPersona.Client.Streamable.stream!/1","type":"function"},{"doc":"","ref":"ExPersona.Client.Streamable.html#t:t/0","title":"ExPersona.Client.Streamable.t/0","type":"type"},{"doc":"Module for getting a document 's metadata and downloading its contents. For instance: doc = ExPersona.Document . get ( &quot;an-id&quot; ) |&gt; ExPersona . request! ( ) if Document . has_file? ( doc , &quot;front_image&quot; ) do { :ok , body } = Document . download_file ( doc , &quot;front_image&quot; ) File . write ( &quot;front_image.png&quot; , body ) end","ref":"ExPersona.Document.html","title":"ExPersona.Document","type":"module"},{"doc":"Create an ExPersona.Client.Operation to then request for a file's contents.","ref":"ExPersona.Document.html#download_file/2","title":"ExPersona.Document.download_file/2","type":"function"},{"doc":"Get a specific ExPersona.Document .","ref":"ExPersona.Document.html#get/1","title":"ExPersona.Document.get/1","type":"function"},{"doc":"Determind if the ExPersona.Document contains a file with the given name.","ref":"ExPersona.Document.html#has_file?/2","title":"ExPersona.Document.has_file?/2","type":"function"},{"doc":"","ref":"ExPersona.Document.html#t:t/0","title":"ExPersona.Document.t/0","type":"type"},{"doc":"Module for dealing with inquiries .","ref":"ExPersona.Inquiry.html","title":"ExPersona.Inquiry","type":"module"},{"doc":"Get a specific ExPersona.Inquiry .","ref":"ExPersona.Inquiry.html#get/1","title":"ExPersona.Inquiry.get/1","type":"function"},{"doc":"Get a list of all document ids referenced in this ExPersona.Inquiry .","ref":"ExPersona.Inquiry.html#get_document_ids/1","title":"ExPersona.Inquiry.get_document_ids/1","type":"function"},{"doc":"Get a list of ExPersona.Inquiry s. If passed to ExPersona.request!/1 it will return only the first results from the list. You can create a Stream to paginate over all results by calling ExPersona.stream!/1 . For instance: # get 400 inquiries ExPersona.Inquiry . list ( ) |&gt; ExPersona . stream! ( ) |&gt; Stream . take ( 400 ) |&gt; Enum . to_list ( ) |&gt; IO . inspect ( )","ref":"ExPersona.Inquiry.html#list/0","title":"ExPersona.Inquiry.list/0","type":"function"},{"doc":"","ref":"ExPersona.Inquiry.html#t:t/0","title":"ExPersona.Inquiry.t/0","type":"type"},{"doc":"Module for fetching specific reports .","ref":"ExPersona.Report.html","title":"ExPersona.Report","type":"module"},{"doc":"Get a specific ExPersona.Report .","ref":"ExPersona.Report.html#get/1","title":"ExPersona.Report.get/1","type":"function"},{"doc":"","ref":"ExPersona.Report.html#t:t/0","title":"ExPersona.Report.t/0","type":"type"},{"doc":"Module for getting a specific verification .","ref":"ExPersona.Verification.html","title":"ExPersona.Verification","type":"module"},{"doc":"Get a specific ExPersona.Verification .","ref":"ExPersona.Verification.html#get/1","title":"ExPersona.Verification.get/1","type":"function"},{"doc":"","ref":"ExPersona.Verification.html#t:t/0","title":"ExPersona.Verification.t/0","type":"type"},{"doc":"ExPersona This is an Elixir library for interacting with the Persona platform.","ref":"readme.html","title":"ExPersona","type":"extras"},{"doc":"The package can be installed by adding ex_persona to your list of dependencies in mix.exs : def deps do [ { :ex_persona , &quot;~&gt; 0.1&quot; } ] end Check Hex to make sure you're using an up-to-date version number.","ref":"readme.html#installation","title":"ExPersona - Installation","type":"extras"},{"doc":"You'll need your API key (this can be found on your dashboard on withpersona.com ). You should set this API key in your configuration: config :ex_persona , api_key : &quot;persona_production_123123123&quot; Then, you can build and send requests. # To stream all inquiries, paginating behind the scenes: ExPersona.Inquiry . list ( ) |&gt; ExPersona . stream! ( ) |&gt; Stream . take ( 100 ) |&gt; Enum . to_list ( ) # To get a specific inquiry by ID: inq = ExPersona.Inquiry . get ( &quot;inq_adsf123asfd&quot; ) |&gt; ExPersona . request! ( ) # Download all the front photos of the documents for an inquiry inq |&gt; ExPersona.Inquiry . get_document_ids ( ) |&gt; Enum . map ( &amp; ExPersona.Document . get / 1 ) |&gt; Enum . map ( &amp; ExPersona . request! / 1 ) |&gt; Enum . map ( &amp; ExPersona.Document . download_file ( &amp;1 , &quot;front_photo&quot; ) ) See the list of modules for a list of the other types (Verifications, Accounts, Reports, etc) available.","ref":"readme.html#usage","title":"ExPersona - Usage","type":"extras"},{"doc":"To run tests: $ mix test","ref":"readme.html#running-tests","title":"ExPersona - Running Tests","type":"extras"},{"doc":"Please report all issues on github .","ref":"readme.html#reporting-issues","title":"ExPersona - Reporting Issues","type":"extras"}]